---
title: "Update a custom field for a user"
slug: "update-a-custom-field-for-a-user"
updated: 2024-10-25T18:04:27Z
published: 2026-02-10T22:32:35Z
canonical: "docs.skillable.com/update-a-custom-field-for-a-user"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a custom field for a user

Get/UpdateUserCustomFieldValue

Updates the current value of a specific custom field for a user.

SecurityAPI Key: api_keyHeader parameter nameapi_key

Query parameterscustomFieldIdinteger (int32) Required

The ID of the custom field for which the value will be updated.

Example4873
userIdinteger (int32) Required

The ID of the user for which the custom field value will be updated.

Example57383
textValuestring

The value of a text type user custom field - Textbox and Dropdown List

booleanValueboolean

The value for a boolean type user custom field - Checkbox

separatedListValuesstring

A Tab separated list of all the text values for a multi-select custom field type - Checkbox List

Responses200

OK Response

<select class='api-response-data' aria-label='Media type'><option value='323c7e4b-646d-4430-a156-2900b2da52aa'>application/json</option>
</select>object  Statusinteger  (int32)    

Indicates the status of the API request.

0 = Success 10 = Error 20 = Not found 30 = Invalid integration key

Example10
Errorstring   | null  

Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).

Idinteger  (int32)    

The custom field's unique identifier

Namestring    

The name of the custom field

DataTypeIdinteger  (int32)    

The data type id of the custom field 0 - Textbox 10 - Dropdown List 20 - Checkbox 30 - Number 60 - User Selector 70 - Checkbox List

TextValuestring   | null  

The text value of a custom field, if any.

NumericValueinteger  (int32)   | null  

The integer value of a custom field, if any.

BooleanValueboolean   | null  

The boolean value of a custom field, if any.

SeparatedListValuestring   | null  

A tab separated list of the selected values of a custom field.
